io.etcd.jetcd.api

## Interface AlarmMemberOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AlarmMember, AlarmMember.Builder

    public interface AlarmMemberOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`AlarmType` `getAlarm()` alarm is the type of alarm which has been raised.
`int` `getAlarmValue()` alarm is the type of alarm which has been raised.
`long` `getMemberID()` memberID is the ID of the member associated with the raised alarm.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getMemberID

    long getMemberID()

     memberID is the ID of the member associated with the raised alarm.

`uint64 memberID = 1;`

Returns:
  The memberID.

#### getAlarmValue

    int getAlarmValue()

     alarm is the type of alarm which has been raised.

`.etcdserverpb.AlarmType alarm = 2;`

Returns:
  The enum numeric value on the wire for alarm.

#### getAlarm

    AlarmType getAlarm()

     alarm is the type of alarm which has been raised.

`.etcdserverpb.AlarmType alarm = 2;`

Returns:
  The alarm.